package com.qmth.distributed.print.business.enums;

/**
 * @Description: obe课程类型
 * @Author: CaoZixuan
 * @Date: 2024-06-05
 */
public enum ObeCourseOutlineCourseTypeEnum {
    ENGINEERING_BASIC("工程基础类课程"),
    MAJOR_BASIC("专业基础类课程"),
    MAJOR("专业类课程"),
    ENGINEERING_PRACTICE_AND_GRADUATE_DESIGN("工程实践与毕业设计(论文)"),
    OTHER("其他");

    private final String name;

    ObeCourseOutlineCourseTypeEnum(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }
}
